Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE4 Overlay (Part 6)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 25, 26, 27, 28  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Sep 16, 2008 8:33 pm    Post subject: Reply with quote

regomodo wrote:
is there a way to recompile all your kde-svn packages without doing by hand? I guess i could run a script but i have no idea what svn packages i have installed?


Code:
paludis -i1 --dl-reinstall-targets always genkdesvn-all

I simply added an alias to bashrc, like
Code:
alias scmup="paludis -i1 --dl-reinstall-targets always"



On a sidenote:
does webkit-kpart compile for anyone? It fails here with parse errors on CMakeLists.txt due to buggy sed'ing in the ebuild.
And well, konqueror fails to build with some undefined references to webkit stuff again.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Wed Sep 17, 2008 9:25 pm    Post subject: Reply with quote

gimpel wrote:
regomodo wrote:
is there a way to recompile all your kde-svn packages without doing by hand? I guess i could run a script but i have no idea what svn packages i have installed?


Code:
paludis -i1 --dl-reinstall-targets always genkdesvn-all

I simply added an alias to bashrc, like
Code:
alias scmup="paludis -i1 --dl-reinstall-targets always"



you should specify that that alias would rebuild something like this:

Code:
scmup genkdesvn-all


gimpel wrote:

On a sidenote:
does webkit-kpart compile for anyone? It fails here with parse errors on CMakeLists.txt due to buggy sed'ing in the ebuild.
And well, konqueror fails to build with some undefined references to webkit stuff again.


well, webkit shouldn't be really necessary for konqueror to work, since it's based on kthml and not directly webkit. it really fails and having a look at the cmake conf file i don't really see how that could be ok.... it's quite bugged and there is a lot of stuff that i don't really understand why it's present.[/code]
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Thu Sep 18, 2008 11:17 am    Post subject: Reply with quote

beso_1717 wrote:
well, webkit shouldn't be really necessary for konqueror to work, since it's based on kthml and not directly webkit. it really fails and having a look at the cmake conf file i don't really see how that could be ok.... it's quite bugged and there is a lot of stuff that i don't really understand why it's present.[/code]

I know that it actually doesn't/shouldn't depend on webkit directly, but no idea how to interpret this differently. (BTW you can make konqueror use webkit-kpart instead of KHTML by renaming khtml.desktop and running kbuildsycoca4 --noincremental)

Same error for you?
Code:
Scanning dependencies of target konq_shellcmdplugin
CMakeFiles/khtmlkttsdplugin.dir/khtmlkttsd.o: In function `KHTMLPluginKTTSD::slotReadOut()':
khtmlkttsd.cpp:(.text+0x110a): undefined reference to `typeinfo for WebKitPart'
khtmlkttsd.cpp:(.text+0x113a): undefined reference to `WebKitPart::view()'
collect2: ld returned 1 exit status
make[2]: *** [lib/khtmlkttsdplugin.so] Error 1

*scrub head* --as-needed is not the issue this time.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
beso_1717
Apprentice
Apprentice


Joined: 19 Jul 2007
Posts: 263

PostPosted: Thu Sep 18, 2008 3:13 pm    Post subject: Reply with quote

gimpel wrote:
beso_1717 wrote:
well, webkit shouldn't be really necessary for konqueror to work, since it's based on kthml and not directly webkit. it really fails and having a look at the cmake conf file i don't really see how that could be ok.... it's quite bugged and there is a lot of stuff that i don't really understand why it's present.[/code]

I know that it actually doesn't/shouldn't depend on webkit directly, but no idea how to interpret this differently. (BTW you can make konqueror use webkit-kpart instead of KHTML by renaming khtml.desktop and running kbuildsycoca4 --noincremental)

Same error for you?
Code:
Scanning dependencies of target konq_shellcmdplugin
CMakeFiles/khtmlkttsdplugin.dir/khtmlkttsd.o: In function `KHTMLPluginKTTSD::slotReadOut()':
khtmlkttsd.cpp:(.text+0x110a): undefined reference to `typeinfo for WebKitPart'
khtmlkttsd.cpp:(.text+0x113a): undefined reference to `WebKitPart::view()'
collect2: ld returned 1 exit status
make[2]: *** [lib/khtmlkttsdplugin.so] Error 1

*scrub head* --as-needed is not the issue this time.


no, for me it does find some bad declared stuff and stops configuring.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Thu Sep 18, 2008 3:17 pm    Post subject: Reply with quote

Sometimes deleting the whole svn-src tree fixes errors in CMAKE and other places.

Give it a shot.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Thu Sep 18, 2008 4:35 pm    Post subject: Reply with quote

beso_1717 wrote:
no, for me it does find some bad declared stuff and stops configuring.

konqueror or webkit-kpart that is?

webkit-kpart's configure gets messed up by faulty sed'ing around in the kdebuild.
I tried to fix that, but somewhat failed..
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
lazx888
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2005
Posts: 118

PostPosted: Thu Sep 18, 2008 4:44 pm    Post subject: Reply with quote

Very confident with kde4... so confident I want kde3.5 off of my machine.

I have removed (well, at least I think) all kde 3.5 apps. Now when I do an update world with paludis, kde3.5 libs, base, etc are being installed. Yes, this may be the wrong thread to be asking this, but I am sure it will be asked increasingly as others become as comfortable and confident with kde4....

How have you removed KDE3.5 and kept it off of your machine!?!
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7108
Location: Austria

PostPosted: Thu Sep 18, 2008 6:09 pm    Post subject: Reply with quote

I have removed kde-3.5 from both systems, but still have to keep kde-base/kdelibs-3.5.10 for amarok-1.4. That's however the only thing that's left of it, and I've stripped it down for minimal use:
Code:
kde-base/kdelibs-3.5.10  USE="alsa bindist branding cups kdehiddenvisibility tiff -acl -arts -avahi -debug -doc -fam -jpeg2k -kerberos -legacyssl -lua -openexr -spell -utempter"


You seem to have still some apps depending on kde-3.5 installed, most likely ones outside the regular kde system and release cycles (hence not in kde-base/) which as a consequence won't get unmerged by the instructions as shown in the Gentoo docs. One way to get them off the system is to mask each remaining kde-base/ package being pulled in, then look which ebuilds will complain about masked dependencies, then decide whether you still need them.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Fri Sep 19, 2008 1:35 am    Post subject: about KDE4 related threads Reply with quote

Hello, there is ongoing proposition regarding organising KDE4 related threads - please express objections if you have any.

https://forums.gentoo.org/viewtopic-p-5220200.html

(sorry for cross posting)
_________________
Maciek
Back to top
View user's profile Send private message
rsa4046
l33t
l33t


Joined: 07 Feb 2005
Posts: 660
Location: The Big H, a bit SSW

PostPosted: Fri Sep 19, 2008 3:06 am    Post subject: Reply with quote

lazx888 wrote:
Very confident with kde4... so confident I want kde3.5 off of my machine.

I have removed (well, at least I think) all kde 3.5 apps. Now when I do an update world with paludis, kde3.5 libs, base, etc are being installed. Yes, this may be the wrong thread to be asking this, but I am sure it will be asked increasingly as others become as comfortable and confident with kde4....

How have you removed KDE3.5 and kept it off of your machine!?!
I still have kde USE flag for openoffice, and this seems to be only remaining dependency for kde3.5:
Code:
# equery d kde-base/kdelibs-3.5.9-r4
[ Searching for packages depending on kde-base/kdelibs-3.5.9-r4... ]
app-office/openoffice-3.0.0_rc1 (kde? =kde-base/kdelibs-3*)
I believe if I removed that flag, I could safely remove kdelibs-3.5.
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Fri Sep 19, 2008 7:52 am    Post subject: phonon doesn't find phonon-xine ?! Reply with quote

Hey guys!

Yesterday I unmerged KDE-4.1.1 and installed 4.1.66. No problems while installing so far! :)
But after making my settings in System Settings I found a problem. (ok, I recognized it first when I tried to use Amarok).
Amarok says that phonon is unable to play mp3 (... flac doesn't work as well)
So I looked here: System Settings -> Multimedia -> Backends ... and ?! .. NO BACKENDS in the list :(
I thought phonon-xine wasn't installed, but I was. I reinstalled it, restarted my computer, but no luck at all ..

I hope this is a known problem and someone can help me.
If you've got questions concerning log files etc. just ask. I'll have a look and post them here.

Thanks

EDIT: media-sound/phonon is installed, qt-phonon is NOT installed.
EDIT 2: it's phonon-4.2.0 and phonon-xine-4.1.66 (is here the problem!?)

EDIT3: I started systemsettings in konsole. and here's the error message when i click on multimedia: "WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7108
Location: Austria

PostPosted: Fri Sep 19, 2008 8:33 am    Post subject: Reply with quote

I do get the same warning from systemsettings. If you are using the kdesvn-overlay, as I suspect, then look into this thread instead for support. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Fri Sep 19, 2008 8:38 am    Post subject: Reply with quote

Thanks, but I thought this here was the kdesvn discussion !?! :D
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7108
Location: Austria

PostPosted: Fri Sep 19, 2008 8:39 am    Post subject: Reply with quote

Nope, here's the Paludis party.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
lazx888
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2005
Posts: 118

PostPosted: Fri Sep 19, 2008 3:29 pm    Post subject: Reply with quote

Thanks man :) This is pretty much the solution - minus the fact that equery is a portage tool. Is there an equivalent solution for paludis??

And trying not to make this a paludis topic... I'd like to think my request as more of a "how to completely switch to kde4" thread :) Tell me to f* off to the paludis threads if this is too off topic heh


rsa4046 wrote:
lazx888 wrote:
Very confident with kde4... so confident I want kde3.5 off of my machine.

I have removed (well, at least I think) all kde 3.5 apps. Now when I do an update world with paludis, kde3.5 libs, base, etc are being installed. Yes, this may be the wrong thread to be asking this, but I am sure it will be asked increasingly as others become as comfortable and confident with kde4....

How have you removed KDE3.5 and kept it off of your machine!?!
I still have kde USE flag for openoffice, and this seems to be only remaining dependency for kde3.5:
Code:
# equery d kde-base/kdelibs-3.5.9-r4
[ Searching for packages depending on kde-base/kdelibs-3.5.9-r4... ]
app-office/openoffice-3.0.0_rc1 (kde? =kde-base/kdelibs-3*)
I believe if I removed that flag, I could safely remove kdelibs-3.5.
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3251
Location: Gainesville, Florida

PostPosted: Fri Sep 19, 2008 4:10 pm    Post subject: Reply with quote

Just synced, and with my kde-scm complete update it's pulling in a split qt-4.4.2! first. :) Looked on trolltech, and 4.4.2 was released yesterday.

Anyone else completed this update yet, and any comments/problems?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
lazx888
Tux's lil' helper
Tux's lil' helper


Joined: 13 Sep 2005
Posts: 118

PostPosted: Fri Sep 19, 2008 4:20 pm    Post subject: Reply with quote

All went OKAY here... qt-phonon wasn't updated with the slotted qt:4... had to manually update it.

wrc1944 wrote:
Just synced, and with my kde-scm complete update it's pulling in a split qt-4.4.2! first. :) Looked on trolltech, and 4.4.2 was released yesterday.

Anyone else completed this update yet, and any comments/problems?
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2868
Location: Bay Area, CA

PostPosted: Sat Sep 20, 2008 4:34 am    Post subject: Reply with quote

After a recent update, my kde-svn doesn't have the panel anymore. I lost my panel. Someone please help me find it....:-)

plasma-appletrc has all the applets that I had in my panel, but my panel is not there anymore. Has anyone seen this?
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3251
Location: Gainesville, Florida

PostPosted: Sat Sep 20, 2008 5:54 am    Post subject: Reply with quote

devsk,
Have you tried dropping out of kdesvn and X into a terminal, and removing your .kdesvn directory, then shut down and rebooting?

You'll have to redo all your custom settings, but that might be the problem. I always do it after a rebuild just to make sure I get any updates to the old .kdesvn config files- it sometimes causes problems if you don't. You need to shutdown completely to make sure the ram is completely flushed, and no traces of the apps and/or configs remain which might conflict with with the svn updates.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2868
Location: Bay Area, CA

PostPosted: Sat Sep 20, 2008 6:02 am    Post subject: Reply with quote

if I were to go that extreme, I might as well add a new panel....:-)

But why did I lose my panel? that's the million dollar question...is SVN so fluid in settings that I lost it over one day?
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3251
Location: Gainesville, Florida

PostPosted: Sat Sep 20, 2008 3:05 pm    Post subject: Reply with quote

For my setup, I can go to system settings and reset verything in 2-3 minutes, which I don't find too excessive. Then I know my .kdesvn has been regenerated with any new svn changes.

When I first started using kdesvn about a year ago, I would continually run into problems which were caused by keeping the old .kdesvn directory. I know, because removing it and cold-rebooting usually resolved the issue. I also discovered that just restarting x/kde didn't always achieve the same results, which I attribute to not completely flushing the ram as a cold reboot does.

Accordingly, I've just gotten into the habit of removing .kdesvn everytime, especially after I started following all the kdesvn trunk changes at http://websvn.kde.org/trunk/KDE/ and realized that in 1-2 days you can sometimes have a hundred or more changes, some of which may conflict with old config files in the old .kdesvn directory.

At least that's my current working theory. :wink:

BTW. if you use konqueror as your web browser, back up your bookmark file, and copy it over into the new .kdesvn. However, while I'm doing all this constant kdesvn updating, I'm just using another browser.

Also, you might be able to get away with just removing (or safer, just temporarily rename them as a backup) specific .kdesvn files and then rebooting, if you know they relate to your specific problem. I found tracking them down took more time (at least for me) than just removing .kdesvn itself.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
kaildio
n00b
n00b


Joined: 14 May 2008
Posts: 3

PostPosted: Sat Sep 20, 2008 7:53 pm    Post subject: Reply with quote

lazx888 wrote:
All went OKAY here... qt-phonon wasn't updated with the slotted qt:4... had to manually update it.

Code:

  * When adding PackageDepSpec 'x11-libs/qt-phonon':
  * When adding package 'x11-libs/qt-phonon-4.4.2:4::gentoo':
  * When adding build dependencies as pre dependencies:
  * When checking BlockDepSpec '!media-sound/phonon':
  * Block: media-sound/phonon (paludis::BlockError)



Code:

* kde-base/kdelibs-scm:kde-svn::installed requires <media-sound/phonon-scm::installed>
* kde-base/knotify-scm:kde-svn::installed requires <media-sound/phonon-scm::installed>
* kde-base/phonon-xine-scm:kde-svn::installed requires <media-sound/phonon-scm::installed>


i've this problem. How can i solve it? Thx
Back to top
View user's profile Send private message
enzobelmont
Guru
Guru


Joined: 06 Apr 2004
Posts: 345
Location: Chiapas, Mexico

PostPosted: Sat Sep 20, 2008 8:40 pm    Post subject: Reply with quote

first
Code:
paludis --permit-unsafe-uninstalls -u phonon


then:
Code:
paludis -i qt-phonon

and finally:
Code:
paludis -i media-sound/phonon


maybe this method is ugly but it works.

you should compile later your blocking dependencies.

saludos. :)
_________________
Mens sana in corpore sano... Gentoo laetificat cor hominis
Back to top
View user's profile Send private message
Nuitari
Apprentice
Apprentice


Joined: 15 May 2005
Posts: 245

PostPosted: Sat Sep 20, 2008 11:26 pm    Post subject: Reply with quote

perfect i confirm, amarok 1.9999 works :)
some questions: 1)the sound works perfectly, but i listen only login and logout sounds...how can i activate all sounds sistems?
2) dragonplayer don't read wmv, there is a way to watch them with dragonplayer?
_________________
Da un discorso su #gentoo:

[15:10] <flowolf> pino: credo che se dovessi leggere ancora un punto interrogativo ed il tuo nick sulla stessa riga
[15:10] <flowolf> potrei andare fuori di testa
Back to top
View user's profile Send private message
orfi
n00b
n00b


Joined: 24 Apr 2005
Posts: 7
Location: Slovakia

PostPosted: Mon Sep 22, 2008 5:41 am    Post subject: Reply with quote

Hi all,

recently I had problems with 3.5.10 so I decided to go after 4.X versions. Everything went ok re compilation and first run (had to turn off Backingstore in xorg.conf file for nvidia)
After that my euphoria went to ground zero state. I can't run firefox or wine (game :) ehm, World of Warcraft, in opengl) with the same error. To me it look like X.org+kde related problem with opengl. I'll try to post that error asap, now I am in windows.
Does anybody have the same problem ? I am on 4.2 devel branch now.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 25, 26, 27, 28  Next
Page 26 of 28

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum